Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158097 - pam audit updates for U2
Summary: pam audit updates for U2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pam
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-18 17:26 UTC by Steve Grubb
Modified: 2015-01-08 00:09 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-526
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 11:00:34 UTC


Attachments (Terms of Use)
patch to add audit enhancements (deleted)
2005-05-18 17:41 UTC, Steve Grubb
no flags Details | Diff
patch to add audit enhancements (deleted)
2005-05-19 18:09 UTC, Steve Grubb
no flags Details | Diff
patch that adds the loginuid module (deleted)
2005-05-19 18:28 UTC, Steve Grubb
no flags Details | Diff
patch to add audit enhancements (deleted)
2005-05-19 19:18 UTC, Steve Grubb
no flags Details | Diff
patch to add audit enhancements (deleted)
2005-05-19 21:24 UTC, Steve Grubb
no flags Details | Diff
patch to add audit enhancements (deleted)
2005-05-26 20:50 UTC, Steve Grubb
no flags Details | Diff
patch to add auditd requirement (deleted)
2005-07-30 00:26 UTC, Steve Grubb
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:526 qe-ready SHIPPED_LIVE pam bug fix update 2005-10-05 04:00:00 UTC

Description Steve Grubb 2005-05-18 17:26:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
The pam subsystem needs some updates for eal4 certification.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
new functionality

Additional info:

Comment 1 Steve Grubb 2005-05-18 17:41:25 UTC
Created attachment 114523 [details]
patch to add audit enhancements

Comment 2 Tomas Mraz 2005-05-18 17:42:47 UTC
What about the pam_loginuid?


Comment 3 Steve Grubb 2005-05-19 18:09:49 UTC
Created attachment 114571 [details]
patch to add audit enhancements

New patch that handles ECONNREFUSED

Comment 4 Steve Grubb 2005-05-19 18:28:08 UTC
Created attachment 114572 [details]
patch that adds the loginuid module

Comment 5 Steve Grubb 2005-05-19 19:18:50 UTC
Created attachment 114573 [details]
patch to add audit enhancements

pam_setcred was not logging anything. Fixed.

Comment 6 Steve Grubb 2005-05-19 21:24:26 UTC
Created attachment 114594 [details]
patch to add audit enhancements

This patch adds proper support for pam_setcred.

Comment 7 Steve Grubb 2005-05-26 20:50:06 UTC
Created attachment 114883 [details]
patch to add audit enhancements

This patch adds code for credential reinit and refresh. It also includes the
audit_fd update.

Comment 11 Tomas Mraz 2005-06-16 09:10:33 UTC
Should be fixed in pam >= 0.77-66.7


Comment 12 Steve Grubb 2005-07-30 00:26:52 UTC
Created attachment 117302 [details]
patch to add auditd requirement

This patch corrects the man page and adds a new module option that causes it to
query the kernel to see if the audit daemon is running. CAPP mandates that when
so configured no logins shall occur if the audit daemon is not running. 

Please review and apply.

Comment 13 Steve Grubb 2005-07-30 00:33:19 UTC
It should be noted that the new patch affects only pam_loginuid module. This bug
was reported by IBM today.

Comment 14 Tomas Mraz 2005-08-01 07:22:49 UTC
The new patch is included in pam-0.77-66.10, pam errata updated.


Comment 16 Red Hat Bugzilla 2005-10-05 11:00:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-526.html



Note You need to log in before you can comment on or make changes to this bug.